Package com.ads.mm.etl.xml.mapping

# Class MMMappingInfo

java.lang.Object
com.ads.mm.etl.xml.mapping.MMMappingInfo

public class MMMappingInfo extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MMMappingInfo(MMMapping mapping)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActualDevelopLoe()`
  `float`
  `getActualEtlEffort()`
  `String`
  `getActualEtlEffortUnits()`
  `float`
  `getActualMappingEffort()`
  `String`
  `getActualMappingEffortUnits()`
  `String`
  `getActualNotes()`
  `String`
  `getChangedDescription()`
  `String`
  `getCreatedBy()`
  `Date`
  `getCreatedDateTime()`
  `String`
  `getLastModifiedBy()`
  `Date`
  `getLastModifiedDateTime()`
  `static org.apache.logging.log4j.Logger`
  `getLogger()`
  `String`
  `getMapDescription()`
  `String`
  `getMapName()`
  `MMMapping`
  `getMapping()`
  `int`
  `getMappingId()`
  `String`
  `getMappingName()`
  `float`
  `getMapSpecVersion()`
  `String`
  `getPlanDevelopLoe()`
  `float`
  `getPlanEtlEffort()`
  `String`
  `getPlanEtlEffortUnits()`
  `float`
  `getPlanMappingEffort()`
  `String`
  `getPlanMappingEffortUnits()`
  `String`
  `getPlanNotes()`
  `int`
  `getProjectId()`
  `String`
  `getSourceExtractDescription()`
  `String`
  `getSourceExtractQuery()`
  `String`
  `getStatus()`
  `int`
  `getSubjectId()`
  `String`
  `getTargetUpdateStrategy()`
  `String`
  `getTargetUpgateStrategyNotes()`
  `String`
  `getTestDisposition()`
  `String`
  `getTestingNotes()`
  `String`
  `getVersionlabel()`
  `void`
  `setActualDevelopLoe(String actualDevelopLoe)`
  `void`
  `setActualEtlEffort(float actualEtlEffort)`
  `void`
  `setActualEtlEffortUnits(String actualEtlEffortUnits)`
  `void`
  `setActualMappingEffort(float actualMappingEffort)`
  `void`
  `setActualMappingEffortUnits(String actualMappingEffortUnits)`
  `void`
  `setActualNotes(String actualNotes)`
  `void`
  `setChangedDescription(String changedDescription)`
  `void`
  `setCreatedBy(String createdBy)`
  `void`
  `setCreatedDateTime(Date createdDateTime)`
  `void`
  `setLastModifiedBy(String lastModifiedBy)`
  `void`
  `setLastModifiedDateTime(Date lastModifiedDateTime)`
  `void`
  `setMapDescription(String mapDescription)`
  `void`
  `setMapName(String mapName)`
  `void`
  `setMapping(MMMapping mapping)`
  `void`
  `setMappingId(int mappingId)`
  `void`
  `setMappingName(String mappingName)`
  `void`
  `setMapSpecVersion(float mapSpecVersion)`
  `void`
  `setPlanDevelopLoe(String planDevelopLoe)`
  `void`
  `setPlanEtlEffort(float planEtlEffort)`
  `void`
  `setPlanEtlEffortUnits(String planEtlEffortUnits)`
  `void`
  `setPlanMappingEffort(float planMappingEffort)`
  `void`
  `setPlanMappingEffortUnits(String planMappingEffortUnits)`
  `void`
  `setPlanNotes(String planNotes)`
  `void`
  `setProjectId(int projectId)`
  `void`
  `setSourceExtractDescription(String sourceExtractDescription)`
  `void`
  `setSourceExtractQuery(String sourceExtractQuery)`
  `void`
  `setStatus(String status)`
  `void`
  `setSubjectId(int subjectId)`
  `void`
  `setTargetUpdateStrategy(String targetUpdateStrategy)`
  `void`
  `setTargetUpgateStrategyNotes(String trrgetUpgateStrategyNotes)`
  `void`
  `setTestDisposition(String testDisposition)`
  `void`
  `setTestingNotes(String testingNotes)`
  `void`
  `setVersionlabel(String versionlabel)`
  `void`
  `toString(StringBuilder sbu)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MMMappingInfo

    public MMMappingInfo(MMMapping mapping)

- ## Method Details

  - ### getLogger

    public static org.apache.logging.log4j.Logger getLogger()
    Returns:
      the logger

  - ### getMappingId

    public int getMappingId()

  - ### toString

    public void toString(StringBuilder sbu)

  - ### getMappingName

    public String getMappingName()

  - ### setMappingName

    public void setMappingName(String mappingName)

  - ### getMapDescription

    public String getMapDescription()

  - ### setMapDescription

    public void setMapDescription(String mapDescription)

  - ### setMappingId

    public void setMappingId(int mappingId)
    Parameters:
      `mappingId` - the mappingId to set

  - ### getMapName

    public String getMapName()
    Returns:
      the mapName

  - ### setMapName

    public void setMapName(String mapName)
    Parameters:
      `mapName` - the mapName to set

  - ### getMapping

    public MMMapping getMapping()
    Returns:
      the _mapping

  - ### setMapping

    public void setMapping(MMMapping mapping)
    Parameters:
      `mapping` - the _mapping to set

  - ### getMapSpecVersion

    public float getMapSpecVersion()
    Returns:
      the mapSpecVersion

  - ### setMapSpecVersion

    public void setMapSpecVersion(float mapSpecVersion)
    Parameters:
      `mapSpecVersion` - the mapSpecVersion to set

  - ### getProjectId

    public int getProjectId()
    Returns:
      the projectId

  - ### setProjectId

    public void setProjectId(int projectId)
    Parameters:
      `projectId` - the projectId to set

  - ### getSourceExtractQuery

    public String getSourceExtractQuery()
    Returns:
      the sourceExtractQuery

  - ### setSourceExtractQuery

    public void setSourceExtractQuery(String sourceExtractQuery)
    Parameters:
      `sourceExtractQuery` - the sourceExtractQuery to set

  - ### getSourceExtractDescription

    public String getSourceExtractDescription()
    Returns:
      the sourceExtractDescription

  - ### setSourceExtractDescription

    public void setSourceExtractDescription(String sourceExtractDescription)
    Parameters:
      `sourceExtractDescription` - the sourceExtractDescription to set

  - ### getTargetUpdateStrategy

    public String getTargetUpdateStrategy()
    Returns:
      the targetUpdateStrategy

  - ### setTargetUpdateStrategy

    public void setTargetUpdateStrategy(String targetUpdateStrategy)
    Parameters:
      `targetUpdateStrategy` - the targetUpdateStrategy to set

  - ### getTargetUpgateStrategyNotes

    public String getTargetUpgateStrategyNotes()
    Returns:
      the targetUpgateStrategyNotes

  - ### setTargetUpgateStrategyNotes

    public void setTargetUpgateStrategyNotes(String trrgetUpgateStrategyNotes)
    Parameters:
      `trrgetUpgateStrategyNotes` - the targetUpgateStrategyNotes to set

  - ### getTestDisposition

    public String getTestDisposition()
    Returns:
      the testDisposition

  - ### setTestDisposition

    public void setTestDisposition(String testDisposition)
    Parameters:
      `testDisposition` - the testDisposition to set

  - ### getTestingNotes

    public String getTestingNotes()
    Returns:
      the testingNotes

  - ### setTestingNotes

    public void setTestingNotes(String testingNotes)
    Parameters:
      `testingNotes` - the testingNotes to set

  - ### getCreatedBy

    public String getCreatedBy()
    Returns:
      the createdBy

  - ### setCreatedBy

    public void setCreatedBy(String createdBy)
    Parameters:
      `createdBy` - the createdBy to set

  - ### getCreatedDateTime

    public Date getCreatedDateTime()
    Returns:
      the createdDateTime

  - ### setCreatedDateTime

    public void setCreatedDateTime(Date createdDateTime)
    Parameters:
      `createdDateTime` - the createdDateTime to set

  - ### getLastModifiedBy

    public String getLastModifiedBy()
    Returns:
      the lastModifiedBy

  - ### setLastModifiedBy

    public void setLastModifiedBy(String lastModifiedBy)
    Parameters:
      `lastModifiedBy` - the lastModifiedBy to set

  - ### getLastModifiedDateTime

    public Date getLastModifiedDateTime()
    Returns:
      the lastModifiedDateTime

  - ### setLastModifiedDateTime

    public void setLastModifiedDateTime(Date lastModifiedDateTime)
    Parameters:
      `lastModifiedDateTime` - the lastModifiedDateTime to set

  - ### getStatus

    public String getStatus()
    Returns:
      the status

  - ### setStatus

    public void setStatus(String status)
    Parameters:
      `status` - the status to set

  - ### getVersionlabel

    public String getVersionlabel()
    Returns:
      the versionlabel

  - ### setVersionlabel

    public void setVersionlabel(String versionlabel)
    Parameters:
      `versionlabel` - the versionlabel to set

  - ### getChangedDescription

    public String getChangedDescription()
    Returns:
      the changedDescription

  - ### setChangedDescription

    public void setChangedDescription(String changedDescription)
    Parameters:
      `changedDescription` - the changedDescription to set

  - ### getPlanDevelopLoe

    public String getPlanDevelopLoe()
    Returns:
      the planDevelopLoe

  - ### setPlanDevelopLoe

    public void setPlanDevelopLoe(String planDevelopLoe)
    Parameters:
      `planDevelopLoe` - the planDevelopLoe to set

  - ### getPlanNotes

    public String getPlanNotes()
    Returns:
      the planNotes

  - ### setPlanNotes

    public void setPlanNotes(String planNotes)
    Parameters:
      `planNotes` - the planNotes to set

  - ### getActualDevelopLoe

    public String getActualDevelopLoe()
    Returns:
      the actualDevelopLoe

  - ### setActualDevelopLoe

    public void setActualDevelopLoe(String actualDevelopLoe)
    Parameters:
      `actualDevelopLoe` - the actualDevelopLoe to set

  - ### getActualNotes

    public String getActualNotes()
    Returns:
      the actualNotes

  - ### setActualNotes

    public void setActualNotes(String actualNotes)
    Parameters:
      `actualNotes` - the actualNotes to set

  - ### getPlanMappingEffort

    public float getPlanMappingEffort()
    Returns:
      the planMappingEffort

  - ### setPlanMappingEffort

    public void setPlanMappingEffort(float planMappingEffort)
    Parameters:
      `planMappingEffort` - the planMappingEffort to set

  - ### getPlanMappingEffortUnits

    public String getPlanMappingEffortUnits()
    Returns:
      the planMappingEffortUnits

  - ### setPlanMappingEffortUnits

    public void setPlanMappingEffortUnits(String planMappingEffortUnits)
    Parameters:
      `planMappingEffortUnits` - the planMappingEffortUnits to set

  - ### getPlanEtlEffort

    public float getPlanEtlEffort()
    Returns:
      the planEtlEffort

  - ### setPlanEtlEffort

    public void setPlanEtlEffort(float planEtlEffort)
    Parameters:
      `planEtlEffort` - the planEtlEffort to set

  - ### getPlanEtlEffortUnits

    public String getPlanEtlEffortUnits()
    Returns:
      the planEtlEffortUnits

  - ### setPlanEtlEffortUnits

    public void setPlanEtlEffortUnits(String planEtlEffortUnits)
    Parameters:
      `planEtlEffortUnits` - the planEtlEffortUnits to set

  - ### getActualMappingEffort

    public float getActualMappingEffort()
    Returns:
      the actualMappingEffort

  - ### setActualMappingEffort

    public void setActualMappingEffort(float actualMappingEffort)
    Parameters:
      `actualMappingEffort` - the actualMappingEffort to set

  - ### getActualMappingEffortUnits

    public String getActualMappingEffortUnits()
    Returns:
      the actualMappingEffortUnits

  - ### setActualMappingEffortUnits

    public void setActualMappingEffortUnits(String actualMappingEffortUnits)
    Parameters:
      `actualMappingEffortUnits` - the actualMappingEffortUnits to set

  - ### getActualEtlEffort

    public float getActualEtlEffort()
    Returns:
      the actualEtlEffort

  - ### setActualEtlEffort

    public void setActualEtlEffort(float actualEtlEffort)
    Parameters:
      `actualEtlEffort` - the actualEtlEffort to set

  - ### getActualEtlEffortUnits

    public String getActualEtlEffortUnits()
    Returns:
      the actualEtlEffortUnits

  - ### setActualEtlEffortUnits

    public void setActualEtlEffortUnits(String actualEtlEffortUnits)
    Parameters:
      `actualEtlEffortUnits` - the actualEtlEffortUnits to set

  - ### getSubjectId

    public int getSubjectId()
    Returns:
      the subjectId

  - ### setSubjectId

    public void setSubjectId(int subjectId)
    Parameters:
      `subjectId` - the subjectId to set